%define major		1
%define libname		%mklibname searpc %{major}
%define develname	%mklibname searpc -d

Name:		libsearpc
Version:	3.0.7
Release:	%mkrel 1
Summary:	Simple C language RPC framework based on GObject system
License:	GPLv3+
Group:		Networking/File transfer
URL:		https://github.com/haiwen/libsearpc
Source0:	https://github.com/haiwen/libsearpc/archive/v%{version}/%{name}-%{version}.tar.xz
BuildRequires:	lib64glib2.0-devel
BuildRequires:	lib64jansson-devel
BuildRequires:	python-gobject-devel
BuildRequires:	lib64python-devel
BuildRequires:	python-simplejson

%description
Searpc is a simple C language RPC framework based on GObject system.
Searpc handles the serialization/deserialization part of RPC, the
transport part is left to users. It is part of seafile project.

#----------------------------------------------------

%package -n	%{libname}
Summary:	Simple C language RPC framework based on GObject system
Group:		System/Libraries
Requires:	python-pysearpc

%description -n	%{libname}
Searpc is a simple C language RPC framework based on GObject system.
Searpc handles the serialization/deserialization part of RPC, the
transport part is left to users. It is part of seafile project.
This package contains library files for %{name}.

#----------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	searpc-devel = %{version}-%{release}

%description -n	%{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

#----------------------------------------------------

%package -n	python-pysearpc
Summary:	Python 2 bindings for %{name}
Group:		Development/Python
BuildArch:	noarch
Requires:	python-simplejson
Provides:	pythonegg(2)(pysearpc) = %{version}-%{release}

%description -n	python-pysearpc
Searpc is a simple C language RPC framework based on GObject system.
Searpc handles the serialization/deserialization part of RPC, the
transport part is left to users. It is part of seafile project.
This package contains the python 2 bindings for %{name}.

#----------------------------------------------------

%prep
%setup -q

sed -i -e /\(DESTDIR\)/d libsearpc.pc.in

NOCONFIGURE=1 ./autogen.sh

%build
%configure2_5x \
	--disable-static \
	--disable-compile-demo
%make

%install
rm -rf %buildroot
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/libsearpc.so.%{major}*

%files -n %{develname}
%doc AUTHORS README.markdown COPYING
%{_includedir}/*
%{_libdir}/libsearpc.so
%{_libdir}/pkgconfig/%{name}.pc

%files -n python-pysearpc
%doc AUTHORS README.markdown
%{_bindir}/searpc-codegen.py
%{python2_sitearch}/pysearpc/


%changelog
* Sat May 07 2016 bb <bb> 3.0.7-1pclos2016
- import

